org.codehaus.plexus.lifecycle

## Class BasicLifecycleHandler

- java.lang.Object
- - org.codehaus.plexus.lifecycle.AbstractLifecycleHandler
  - - org.codehaus.plexus.lifecycle.BasicLifecycleHandler

All Implemented Interfaces:
  LifecycleHandler

    public class BasicLifecycleHandler
    extends AbstractLifecycleHandler

### Constructor Summary

Constructors
Constructor and Description
`BasicLifecycleHandler()`

### Method Summary

Methods
`void` `initialize()`

### Methods inherited from class org.codehaus.plexus.lifecycle.AbstractLifecycleHandler

`end, getBeginSegment, getEndSegment, getId, getName, getResumeSegment, getSuspendSegment, resume, start, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicLifecycleHandler

    public BasicLifecycleHandler()

### Method Detail

#### initialize

    public void initialize()

See Also:
  `Initializable.initialize()`